package com.avaya.ccs.javafxrefclient.request;

import com.avaya.ccs.core.WebChatMedia;
import com.avaya.ccs.javafxrefclient.Logger;

public class IsTypingRequest extends InteractionRequest{
	private static final Logger LOG = Logger.getLogger(IsTypingRequest.class);

	public IsTypingRequest(String interactionID) {
		super(LOG, interactionID);

	}

	@Override
	protected Object call() throws Exception {
//		>>>>> POST /Interaction/9004M536849/Media/9004M536849?IsTypingRequest
		WebChatMedia media= ((WebChatMedia)getInteraction().getMedia());
		media.sendIsTypingRequest();
		return null;
	}

}
